<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (17) on Thu Oct 27 22:53:58 EEST 2022 -->
<title>U-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-10-27">
<meta name="description" content="index: U">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:U">U</h2>
<dl class="index">
<dt><a href="../org/vtokarev/domain/UserRole.html#UNKNOWN" class="member-name-link">UNKNOWN</a> - Enum constant in enum class org.vtokarev.domain.<a href="../org/vtokarev/domain/UserRole.html" title="enum class in org.vtokarev.domain">UserRole</a></dt>
<dd>
<div class="block">The role means that the <a href="../org/vtokarev/domain/User.html" title="class in org.vtokarev.domain"><code>User</code></a> is not authenticated.</div>
</dd>
<dt><a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html#update(org.vtokarev.domain.Booking)" class="member-name-link">update(Booking)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html" title="class in org.vtokarev.dao.mysql">BookingDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html#update(org.vtokarev.domain.Room)" class="member-name-link">update(Room)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomService.html#update(org.vtokarev.domain.Room)" class="member-name-link">update(Room)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomClassDaoImpl.html#update(org.vtokarev.domain.RoomClass)" class="member-name-link">update(RoomClass)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomClassDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomClassDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomRequestDaoImpl.html#update(org.vtokarev.domain.RoomRequest)" class="member-name-link">update(RoomRequest)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomRequestDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomRequestDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomRequestService.html#update(org.vtokarev.domain.RoomRequest)" class="member-name-link">update(RoomRequest)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/RoomRequestService.html" title="class in org.vtokarev.service">RoomRequestService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomRequestDaoImpl.html#update(org.vtokarev.domain.RoomRequest,java.sql.Connection)" class="member-name-link">update(RoomRequest, Connection)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomRequestDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomRequestDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/RoomRequestDao.html#update(org.vtokarev.domain.RoomRequest,java.sql.Connection)" class="member-name-link">update(RoomRequest, Connection)</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/RoomRequestDao.html" title="interface in org.vtokarev.dao">RoomRequestDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/UserDaoImpl.html#update(org.vtokarev.domain.User)" class="member-name-link">update(User)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/UserDaoImpl.html" title="class in org.vtokarev.dao.mysql">UserDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/UserService.html#update(org.vtokarev.domain.User)" class="member-name-link">update(User)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/UserService.html" title="class in org.vtokarev.service">UserService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/GenericDao.html#update(T)" class="member-name-link">update(T)</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/GenericDao.html" title="interface in org.vtokarev.dao">GenericDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html#UPDATE_BY_ID" class="member-name-link">UPDATE_BY_ID</a> - Static variable in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/BookingService.html#updateBookingStatusById(long,org.vtokarev.domain.BookingStatus)" class="member-name-link">updateBookingStatusById(long, BookingStatus)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/BookingService.html" title="class in org.vtokarev.service">BookingService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomRequestDaoImpl.html#updateBreachedNewRoomRequestStatus(java.time.LocalDate)" class="member-name-link">updateBreachedNewRoomRequestStatus(LocalDate)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomRequestDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomRequestDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/RoomRequestDao.html#updateBreachedNewRoomRequestStatus(java.time.LocalDate)" class="member-name-link">updateBreachedNewRoomRequestStatus(LocalDate)</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/RoomRequestDao.html" title="interface in org.vtokarev.dao">RoomRequestDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/BookingDao.html#updateBreachedReservedBookingStatus(java.time.Instant,java.time.LocalDate)" class="member-name-link">updateBreachedReservedBookingStatus(Instant, LocalDate)</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/BookingDao.html" title="interface in org.vtokarev.dao">BookingDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html#updateBreachedReservedBookingStatus(java.time.Instant,java.time.LocalDate)" class="member-name-link">updateBreachedReservedBookingStatus(Instant, LocalDate)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html" title="class in org.vtokarev.dao.mysql">BookingDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/UploadImageServlet.html" class="type-name-link" title="class in org.vtokarev.controller">UploadImageServlet</a> - Class in <a href="../org/vtokarev/controller/package-summary.html">org.vtokarev.controller</a></dt>
<dd>
<div class="block">The <code>UploadImageServlet</code> class implements <code>doPost</code> method for uploading room images functionality.</div>
</dd>
<dt><a href="../org/vtokarev/controller/UploadImageServlet.html#%3Cinit%3E()" class="member-name-link">UploadImageServlet()</a> - Constructor for class org.vtokarev.controller.<a href="../org/vtokarev/controller/UploadImageServlet.html" title="class in org.vtokarev.controller">UploadImageServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/User.html" class="type-name-link" title="class in org.vtokarev.domain">User</a> - Class in <a href="../org/vtokarev/domain/package-summary.html">org.vtokarev.domain</a></dt>
<dd>
<div class="block">The <code>User</code> class represents the entity of user.</div>
</dd>
<dt><a href="../org/vtokarev/domain/User.html#%3Cinit%3E()" class="member-name-link">User()</a> - Constructor for class org.vtokarev.domain.<a href="../org/vtokarev/domain/User.html" title="class in org.vtokarev.domain">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/User.html#%3Cinit%3E(long,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.time.Instant,org.vtokarev.domain.UserRole)" class="member-name-link">User(long, String, String, String, String, Instant, UserRole)</a> - Constructor for class org.vtokarev.domain.<a href="../org/vtokarev/domain/User.html" title="class in org.vtokarev.domain">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/UserDao.html" class="type-name-link" title="interface in org.vtokarev.dao">UserDao</a> - Interface in <a href="../org/vtokarev/dao/package-summary.html">org.vtokarev.dao</a></dt>
<dd>
<div class="block"><code>UserDao</code> interface extends <code>GenericDao</code> interface.</div>
</dd>
<dt><a href="../org/vtokarev/dao/mysql/UserDaoImpl.html" class="type-name-link" title="class in org.vtokarev.dao.mysql">UserDaoImpl</a> - Class in <a href="../org/vtokarev/dao/mysql/package-summary.html">org.vtokarev.dao.mysql</a></dt>
<dd>
<div class="block"><code>UserDaoImpl</code> class is an implementation of <a href="../org/vtokarev/dao/UserDao.html" title="interface in org.vtokarev.dao"><code>UserDao</code></a> interface for MySQL persistence layer backend.</div>
</dd>
<dt><a href="../org/vtokarev/dao/mysql/UserDaoImpl.html#%3Cinit%3E(javax.sql.DataSource)" class="member-name-link">UserDaoImpl(DataSource)</a> - Constructor for class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/UserDaoImpl.html" title="class in org.vtokarev.dao.mysql">UserDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/UserListServlet.html" class="type-name-link" title="class in org.vtokarev.controller">UserListServlet</a> - Class in <a href="../org/vtokarev/controller/package-summary.html">org.vtokarev.controller</a></dt>
<dd>
<div class="block">The <code>UserListServlet</code> class processes GET <code>userList</code> requests generated by users with ADMIN role.</div>
</dd>
<dt><a href="../org/vtokarev/controller/UserListServlet.html#%3Cinit%3E()" class="member-name-link">UserListServlet()</a> - Constructor for class org.vtokarev.controller.<a href="../org/vtokarev/controller/UserListServlet.html" title="class in org.vtokarev.controller">UserListServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/UserRole.html" class="type-name-link" title="enum class in org.vtokarev.domain">UserRole</a> - Enum Class in <a href="../org/vtokarev/domain/package-summary.html">org.vtokarev.domain</a></dt>
<dd>
<div class="block">The <code>UserRole</code> class represents the entity of <a href="../org/vtokarev/domain/User.html" title="class in org.vtokarev.domain"><code>User</code></a> role.</div>
</dd>
<dt><a href="../org/vtokarev/service/UserService.html" class="type-name-link" title="class in org.vtokarev.service">UserService</a> - Class in <a href="../org/vtokarev/service/package-summary.html">org.vtokarev.service</a></dt>
<dd>
<div class="block"><code>UserService</code> is a service layer class that implements methods for operations with users.</div>
</dd>
<dt><a href="../org/vtokarev/service/UserService.html#%3Cinit%3E(org.vtokarev.dao.UserDao,java.lang.String,java.lang.String)" class="member-name-link">UserService(UserDao, String, String)</a> - Constructor for class org.vtokarev.service.<a href="../org/vtokarev/service/UserService.html" title="class in org.vtokarev.service">UserService</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
